#pragma once

// Note: This file contains an enum for all the sound files.
//		 The enum names are the sound file names for each value.
// Note: Some files are used more than once. The name of the file
//		 is associated with the first soundID which references
//		 that file. Repeated occurances are listed as commented
//		 lines.


enum SoundID
{
	sndBld_fal3		= 0,	// 0x00
	sndBld_fal1		= 1,	// 0x01
	sndBld_fal2		= 2,	// 0x02
	sndBld_make		= 3,	// 0x03
	sndAg_sel		= 4,	// 0x04
	sndTokamsel		= 5,	// 0x05
	sndPantheon		= 6,	// 0x06
	sndCommsel		= 7,	// 0x07
	sndDirt			= 8,	// 0x08
	sndFac_andr		= 9,	// 0x09
	sndFac_cons		= 10,	// 0x0A
	sndFac_sel		= 11,	// 0x0B
//	sndFac_sel		= 12,	// 0x0C
	sndGar_sel		= 13,	// 0x0D
	sndGeo_sel		= 14,	// 0x0E
	sndGorf			= 15,	// 0x0F
	sndGuardsel		= 16,	// 0x10
	sndLab_3		= 17,	// 0x11
	sndLab_1		= 18,	// 0x12
	sndLab_2		= 19,	// 0x13
	sndLight		= 20,	// 0x14
	sndMag_sel		= 21,	// 0x15
	sndMedisel		= 22,	// 0x16
//	sndDirt			= 23,	// 0x17
	sndMine_1		= 24,	// 0x18
	sndMine_2		= 25,	// 0x19
	sndNur_sel		= 26,	// 0x1A
	sndObservat		= 27,	// 0x1B
	sndRec_fac		= 28,	// 0x1C
	sndRes1_sel		= 29,	// 0x1D
	sndRes2_sel		= 30,	// 0x1E
	sndRes3_sel		= 31,	// 0x1F
	sndRobosel		= 32,	// 0x20
	sndSmelter1		= 33,	// 0x21
//	sndSmelter1		= 34,	// 0x22
//	sndTokamsel		= 35,	// 0x23
	sndSpaceprt		= 36,	// 0x24
	sndStorage1		= 37,	// 0x25
	sndStorage2		= 38,	// 0x26
//	sndTokamsel		= 39,	// 0x27
//	sndPantheon		= 40,	// 0x28
	sndUni_sel		= 41,	// 0x29
	sndConsvhc		= 42,	// 0x2A
	sndDozr_sel		= 43,	// 0x2B
	sndEvac_trn		= 44,	// 0x2C
	sndEarthwrk		= 45,	// 0x2D
	sndRobot4		= 46,	// 0x2E
	sndSpidsel		= 47,	// 0x2F
	sndInfantry		= 48,	// 0x30
	sndRepvhc		= 49,	// 0x31
	sndRobmine		= 50,	// 0x32
	sndRobsurv		= 51,	// 0x33
	sndScout		= 52,	// 0x34
	sndCombhev		= 53,	// 0x35
	sndComblit		= 54,	// 0x36
	sndCombmed		= 55,	// 0x37
	sndTruk_sel		= 56,	// 0x38
	sndBld_exp		= 57,	// 0x39
	sndUni_grad		= 58,	// 0x3A
	sndTokaexp		= 59,	// 0x3B
	sndGeyser		= 60,	// 0x3C
	sndGar_doc		= 61,	// 0x3D
	sndDoc_dor1		= 62,	// 0x3E
	sndDoc_dor2		= 63,	// 0x3F
	sndDoc_grab		= 64,	// 0x40
	sndSulv			= 65,	// 0x41
	sndRobdep		= 66,	// 0x42
	sndReprep		= 67,	// 0x43
	sndConsrep		= 68,	// 0x44
	sndDump			= 69,	// 0x45
	sndMicwarn		= 70,	// 0x46
	sndMicfire		= 71,	// 0x47
	sndBigexp1		= 72,	// 0x48
	sndBigexp2		= 73,	// 0x49
	sndBigexp3		= 74,	// 0x4A
	sndMedexp1		= 75,	// 0x4B
	sndMedexp2		= 76,	// 0x4C
	sndSmalxp1		= 77,	// 0x4D
	sndSmalxp2		= 78,	// 0x4E
	sndSmalxp3		= 79,	// 0x4F
	sndQuake		= 80,	// 0x50
	sndTornado2		= 81,	// 0x51
	sndThunder		= 82,	// 0x52
	sndMicrobe		= 83,	// 0x53
	sndFuse			= 84,	// 0x54
	sndBeep2		= 85,	// 0x55
//	sndBeep2		= 86,	// 0x56
	sndBeep5		= 87,	// 0x57
	sndBld_not		= 88,	// 0x58
	sndBeep6		= 89,	// 0x59
	sndBeep9		= 90,	// 0x5A
	sndBeep8		= 91,	// 0x5B
//	sndBeep5		= 92,	// 0x5C
	sndMessage2		= 93,	// 0x5D
	sndSavnt212		= 94, 	// 0x5E "Structure completed"
	sndSavant2		= 95, 	// 0x5F "Research completed"
	sndSavant3		= 96, 	// 0x60 "Our colony is under attack"
	sndSavant4		= 97, 	// 0x61 "We are under attack"
	sndSavant6		= 98, 	// 0x62 "Vehicle ready"
	sndSavant7		= 99, 	// 0x63 "Consumer items completed"
	sndSavant8		= 100, 	// 0x64 "Structure kit manufactured"
	sndSavant9		= 101, 	// 0x65 "Spider ready"
	sndSavant10		= 102, 	// 0x66 "Scorpion ready"
	sndSavant11		= 103, 	// 0x67 "Structure destroyed"
	sndSavnt206		= 104, 	// 0x68 "Vehicle destroyed"
	sndSavant13		= 105, 	// 0x69 "Database reconstructed"
	sndSavant14		= 106, 	// 0x6A "Enemy unit sighted"
	sndSavant15		= 107, 	// 0x6B "Vehicle repaired"
	sndSavnt204		= 108, 	// 0x6C "Structure repaired"
	sndSavant17		= 109, 	// 0x6D "Warning, missile launch detected"
	sndSavant18		= 110, 	// 0x6E "Warning, incoming missile"
	sndSavant19		= 111, 	// 0x6F "Morale is excellent"
	sndSavant20		= 112, 	// 0x70 "Morale is good"
	sndSavant21		= 113, 	// 0x71 "Morale is fair"
	sndSavant22		= 114, 	// 0x72 "Morale is poor"
	sndSavant23		= 115, 	// 0x73 "Morale is terrible"
	sndSavant24		= 116, 	// 0x74 "Food production in surplus"
	sndSavant25		= 117, 	// 0x75 "Caution, food storage diminishing"
	sndSavant26		= 118, 	// 0x76 "Warning, people are starving"
	sndSavant27		= 119, 	// 0x77 "Power levels optimal"
	sndSavant28		= 120, 	// 0x78 "Warning, power levels marginal"
	sndSavant29		= 121, 	// 0x79 "Warning, power shortage"
	sndSavant30		= 122, 	// 0x7A "New mission objective"
	sndSavant32		= 123, 	// 0x7B "Edward satellite deployed"
	sndSavant33		= 124, 	// 0x7C "Solar power satellite deployed"
	sndSavant46		= 125, 	// 0x7D "Rocket launched"
	sndSavant47		= 126, 	// 0x7E "RLV launched"
	sndSavant48		= 127, 	// 0x7F "RLV ready"
	sndSavant49		= 128, 	// 0x80 "Rocket ready"
	sndSavnt221		= 129, 	// 0x81 "Common metals storage needed"
	sndSavant51		= 130, 	// 0x82 "Rare metal storage needed"
	sndSavant53		= 131, 	// 0x83 "New worker ready"
	sndSavant58		= 132, 	// 0x84 "Our people are dying"
	sndSavnt202		= 133, 	// 0x85 "Structure disabled"
	sndSavnt227		= 134, 	// 0x86 (Beep) "You have failed, our colony is doomed"
	sndSavant65		= 135, 	// 0x87 (Beep) "You have done well, our colony is surviving"
	sndSavant66		= 136, 	// 0x88 "Caution, volcano watch initiated"
	sndSavant67		= 137, 	// 0x89 "Alert, volcanic eruption imminent"
	sndSavant68		= 138, 	// 0x8A "Warning, volcanic eruption detected"
	sndSavant69		= 139, 	// 0x8B "Caution, vortex watch initiated"
	sndSavant70		= 140, 	// 0x8C "Alert, vortex imminent"
	sndSavant71		= 141, 	// 0x8D "Warning, vortex detected"
	sndSavant72		= 142, 	// 0x8E "Caution, electrical storm watch initiated"
	sndSavant73		= 143, 	// 0x8F "Alert, electrical storm imminent"
	sndSavant74		= 144, 	// 0x90 "Warning, electrical storm detected"
	sndSavant75		= 145, 	// 0x91 "Caution, meteor watch initiated"
	sndSavant76		= 146, 	// 0x92 "Alert, meteor impact imminent"
	sndSavant77		= 147, 	// 0x93 "Warning, meteor approaching"
	sndSavant78		= 148, 	// 0x94 "Caution, seismic watch initiated"
	sndSavant79		= 149, 	// 0x95 "Alert, seismic event imminent"
	sndSavant80		= 150, 	// 0x96 "Warning, seismic event detected"
	sndSavant93		= 151, 	// 0x97 "Wreckage located"
	sndSavnt278		= 152, 	// 0x98 "The blight is approching"
	sndSavnt207		= 153, 	// 0x99 "Damage warning"
	sndSavant96		= 154, 	// 0x9A "Mining location surveyed"
	sndSavant97		= 155, 	// 0x9B "Cannot deploy"
	sndSavant98		= 156, 	// 0x9C "Command control initiated"
	sndSavant99		= 157, 	// 0x9D "Savant series computer activated, Outpost2 demo initiated, please choose an option"
	sndSavnt100		= 158, 	// 0x9E "Can not comply"
	sndSavnt101		= 159, 	// 0x9F "Commander, a volcanic eruption is imminent, evacuate the colony and rendevous at the mining beacon north of our location"
	sndSavnt201		= 160, 	// 0xA0 "Data transmitted"
	sndSavnt203		= 161, 	// 0xA1 "Structures disabled"
	sndSavnt205		= 162, 	// 0xA2 "Reinforcements ready"
	sndSavnt208		= 163, 	// 0xA3 "Wall completed"
	sndSavnt209		= 164, 	// 0xA4 "Tube completed"
	sndSavnt210		= 165, 	// 0xA5 "Bulldozing completed"
	sndSavnt211		= 166, 	// 0xA6 "Vehicle infected"
	sndSavnt213		= 167, 	// 0xA7 "Structure lost"
	sndSavnt214		= 168, 	// 0xA8 "Vehicle lost"
	sndSavnt215		= 169, 	// 0xA9 "Vehicle captured"
	sndSavnt216		= 170, 	// 0xAA "Repair stopped"
	sndSavnt218		= 171, 	// 0xAB "Outpost2 demo mode initiated"
	sndSavnt219		= 172, 	// 0xAC "Please stand by"
	sndSavnt220		= 173, 	// 0xAD "Command control terminated"
	sndSavnt223		= 174, 	// 0xAE "Starship module manufactured"
	sndSavnt224		= 175, 	// 0xAF "Satellite manufactured"
	sndSavnt225		= 176, 	// 0xB0 "Wreckage loaded"
	sndSavnt226		= 177, 	// 0xB1 "Food stores are plentiful"
	sndSavnt228		= 178, 	// 0xB2 "Alliance formed with player1"
	sndSavnt229		= 179, 	// 0xB3 "Alliance formed with player2"
	sndSavnt230		= 180, 	// 0xB4 "Alliance formed with player3"
	sndSavnt231		= 181, 	// 0xB5 "Alliance formed with player4"
	sndSavnt232		= 182, 	// 0xB6 "Alliance formed with player5"
	sndSavnt233		= 183, 	// 0xB7 "Alliance formed with player6"
	sndSavnt234		= 184, 	// 0xB8 "Alliance with player1 broken"
	sndSavnt235		= 185, 	// 0xB9 "Alliance with player2 broken"
	sndSavnt236		= 186, 	// 0xBA "Alliance with player3 broken"
	sndSavnt237		= 187, 	// 0xBB "Alliance with player4 broken"
	sndSavnt238		= 188, 	// 0xBC "Alliance with player5 broken"
	sndSavnt239		= 189, 	// 0xBD "Alliance with player6 broken"
	sndSavnt240		= 190, 	// 0xBE "Transfer to player1 complete"
	sndSavnt241		= 191, 	// 0xBF "Transfer to player2 complete"
	sndSavnt242		= 192, 	// 0xC0 "Transfer to player3 complete"
	sndSavnt243		= 193, 	// 0xC1 "Transfer to player4 complete"
	sndSavnt244		= 194, 	// 0xC2 "Transfer to player5 complete"
	sndSavnt245		= 195, 	// 0xC3 "Transfer to player6 complete"
	sndSavnt246		= 196, 	// 0xC4 "Transfer received from player1"
	sndSavnt247		= 197, 	// 0xC5 "Transfer received from player2"
	sndSavnt248		= 198, 	// 0xC6 "Transfer received from player3"
	sndSavnt249		= 199, 	// 0xC7 "Transfer received from player4"
	sndSavnt250		= 200, 	// 0xC8 "Transfer received from player5"
	sndSavnt251		= 201, 	// 0xC9 "Transfer received from player6"
	sndSavnt252		= 202, 	// 0xCA "Player1 has allied with you"
	sndSavnt253		= 203, 	// 0xCB "Player2 has allied with you"
	sndSavnt254		= 204, 	// 0xCC "Player3 has allied with you"
	sndSavnt255		= 205, 	// 0xCD "Player4 has allied with you"
	sndSavnt256		= 206, 	// 0xCE "Player5 has allied with you"
	sndSavnt257		= 207, 	// 0xCF "Player6 has allied with you"
	sndSavnt258		= 208, 	// 0xD0 "Player1 has broken the alliance"
	sndSavnt259		= 209, 	// 0xD1 "Player2 has broken the alliance"
	sndSavnt260		= 210, 	// 0xD2 "Player3 has broken the alliance"
	sndSavnt261		= 211, 	// 0xD3 "Player4 has broken the alliance"
	sndSavnt262		= 212, 	// 0xD4 "Player5 has broken the alliance"
	sndSavnt263		= 213, 	// 0xD5 "Player6 has broken the alliance"
	sndSavnt264		= 214, 	// 0xD6 "Ion drive module deployed"
	sndSavnt265		= 215, 	// 0xD7 "Fusion drive module deployed"
	sndSavnt266		= 216, 	// 0xD8 "Command module deployed"
	sndSavnt267		= 217, 	// 0xD9 "Fuelling systems deployed"
	sndSavnt268		= 218, 	// 0xDA "Habitat ring deployed"
	sndSavnt269		= 219, 	// 0xDB "Sensor package deployed"
	sndSavnt270		= 220, 	// 0xDC "Skydock operational"
	sndSavnt271		= 221, 	// 0xDD "Stasis systems deployed"
	sndSavnt272		= 222, 	// 0xDE "Orbital package deployed"
	sndSavnt273		= 223, 	// 0xDF "Phoenix module deployed"
	sndSavnt274		= 224, 	// 0xE0 "Rare metals storage module deployed"
	sndSavnt275		= 225, 	// 0xE1 "Common metals storage module deployed"
	sndSavnt276		= 226, 	// 0xE2 "Food storage module deployed"
	sndSavnt277		= 227, 	// 0xE3 "Colonist evacuation module deployed"
	sndMis_fire		= 228,	// 0xE4
	sndAcid2		= 229,	// 0xE5
//	sndMis_fire		= 230,	// 0xE6
//	sndGeo_sel		= 231,	// 0xE7
	sndLaser		= 232,	// 0xE8
//	sndMedexp1		= 233,	// 0xE9
	sndMicrowve		= 234,	// 0xEA
//	sndMedexp1		= 235,	// 0xEB
	sndRailfir		= 236,	// 0xEC
	sndRailtar		= 237,	// 0xED
//	sndBigexp1		= 238,	// 0xEE
//	sndBigexp2		= 239,	// 0xEF
//	sndMis_fire		= 240,	// 0xF0
	sndSpam1		= 241,	// 0xF1
//	sndMis_fire		= 242,	// 0xF2
	sndFoam			= 243,	// 0xF3
	sndThor			= 244,	// 0xF4
//	sndMedexp1		= 245,	// 0xF5
//	sndMis_fire		= 246,	// 0xF6
//	sndMedexp2		= 247,	// 0xF7
//	sndLaser		= 248,	// 0xF8
//	sndSmalxp1		= 249,	// 0xF9
	sndGun1			= 250,	// 0xFA
//	sndMedexp1		= 251	// 0xFB
};

